#include<iostream>
#define A 1000001
//int a[A][A];
int x[A];
int y[A];
using namespace std;
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cout.tie(NULL);
	int n,r,c,i,sek=0;
	cin >> n;
	for(i=0;i<n;i++)
	{
		cin >> r >> c;
		x[r]++;
		y[c]++;
	}
	for(i=0;i<n;i++)
	{
		if(x[i]>1)
		{
			sek=sek+x[i]-1;
		}
		if(y[i]>1)
		{
			sek=sek+y[i]-1;
		}
	}
	cout << sek;
}